読者です 読者をやめる 読者になる 読者になる

E: パッケージ 'vim' にはインストール候補がありません の対処法

Raspberry Pi にはvimが入っていないのでインストールしようとすると、
エラーが出た。

pi@OKOWA ~ $ sudo apt-get install vim
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています                
状態情報を読み取っています... 完了
パッケージ vim はデータベースには存在しますが、利用できません。
おそらく、そのパッケージが見つからないか、もう古くなっているか、
あるいは別のソースからのみしか利用できないという状況が考えられます

E: パッケージ 'vim' にはインストール候補がありません


aptパッケージリストをアップデート(update)し、念のためインストール済のモジュールを最新化(upgrade)する。

pi@OKOWA ~ $ sudo apt-get update
pi@OKOWA ~ $ sudo apt-get upgrade

これでインストールできた。

pi@OKOWA ~ $ sudo apt-get install vim